package com.xyhy.jiaranmqttcluster.common;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.core.io.ClassPathResource;

import java.io.InputStream;
import java.util.Properties;

public class Common extends Basic{

    public final Logger log =  LoggerFactory.getLogger(this.getClass());

    public static String getConfigByName(String Key)  {
        try {
            ClassPathResource classPathResource = new ClassPathResource("application.properties");
            InputStream inputStream =classPathResource.getInputStream();
            Properties p = new Properties();
            p.load(inputStream);
            return p.getProperty(Key);
        }catch (Exception o)
        {
            o.printStackTrace();
        }
        return null;
    }

}
