package com.xyhy.jiaranmqttcluster.common.message.back;

import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class MessageBackThreadGroupCommon {

    private static MessageBackThreadGroupCommon _ThreadGroupCommon;

    private ThreadPoolExecutor _threadPoolExecutor;


    public static MessageBackThreadGroupCommon getThreadGroupCom()
    {
        if(_ThreadGroupCommon==null)
        {
            _ThreadGroupCommon = new MessageBackThreadGroupCommon(1000);
        }
        return _ThreadGroupCommon;
    }

    public MessageBackThreadGroupCommon(int threadsNum)
    {
        _threadPoolExecutor =  new ThreadPoolExecutor(threadsNum, threadsNum,
                0L, TimeUnit.MILLISECONDS,
                new LinkedBlockingQueue<Runnable>());
    }

    public ThreadPoolExecutor getWorkThreadPool()
    {
        return _threadPoolExecutor;
    }

}
